%define upstream_name	 DateTime-Format-Duration
%define upstream_version 1.04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Format and parse DateTime::Durations 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Duration)

BuildArch:	noarch


%description
This module formats and parses DateTime::Duration objects as well as other
durations representations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# fix perms
chmod 644 LICENCE README Changes

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install

%files 
%doc LICENCE README Changes
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog
* Mon Jul 10 2017 bb2 <bb2> - 1.40.0-4pclos2017
- rebuild against updates
